## org.apache.xerces.impl.xs.util
Class XInt

    java.lang.Object
      org.apache.xerces.impl.xs.util.XInt

    public final class XInt

extends java.lang.Object

Version:
  $Id: XInt.java 320098 2004-10-06 15:14:55Z mrglavas $
Author:
  Henry Zongaro, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Method Summary
`boolean` `equals(XInt compareVal)`
`int` `intValue()`
`short` `shortValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### intValue

    public final int intValue()

### shortValue

    public final short shortValue()

### equals

    public final boolean equals(XInt compareVal)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.